Skip to main content
POST
/
template
/
send
Send templated email
curl --request POST \
  --url https://emails.platform.arb.inc/template/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expires": "2025-08-15T10:30:00Z",
  "to": [
    {
      "address": "user@example.com",
      "name": "John Doe"
    }
  ],
  "template": "notice-of-service",
  "variables": {
    "case_id": "2025-08-00292",
    "party_name": "John Doe",
    "filing_date": "2025-08-15"
  },
  "idempotency_key": "notice-2025-08-00292"
}
'
{
  "message": "email queued for delivery"
}

Authorizations

Authorization
string
header
required

access token

Body

application/json
expires
string<date-time>
required

Expiration time for the email send request

Example:

"2025-08-15T10:30:00Z"

to
object[]
required

List of recipient email addresses

Minimum array length: 1
template
string
required

Template identifier from Resend

Example:

"notice-of-service"

variables
object
required

Key-value pairs of variables to populate in the template

Example:
{
"case_id": "2025-08-00292",
"party_name": "John Doe",
"filing_date": "2025-08-15"
}
idempotency_key
string
required

Unique key to prevent duplicate email sends

Maximum string length: 100
Example:

"notice-2025-08-00292"

Response

200 - application/json

Email successfully queued for delivery

message
string
Example:

"email queued for delivery"